#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, k, b;
    vector<int> v;
    cin >> n >> k;
    for(int i = 0; i < n; i++)
    {
        int broj;
        cin >> broj;
        v.push_back(broj);
    }

    b = v[0];
    for(int i = 0; i < n - 1; i++)
    {
        if(v[i] == k) b = v[i + 1];
    }

    cout << b;
}